[SRU] Nova kilo requires concurrency 1.8.2 or better

Bug #1518016 reported by Mohammed Naser on 2015-11-19
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Undecided
Unassigned
Ubuntu Cloud Archive
Critical
James Page
Kilo
Critical
James Page
nova (Ubuntu)
Undecided
Unassigned
Vivid
Critical
Corey Bryant
python-oslo.concurrency (Ubuntu)
Undecided
Unassigned
Vivid
Critical
James Page

Bug Description

[Impact]
Some operations on instances will fail due to missing functions in oslo-concurrency 1.8.0 that the latest Nova stable release requires.

[Test Case]
Resize or migrate an instance on the latest stable kilo updates

[Regression Potential]
Minimal - this is recommended and tested upstream already.

[Original Bug Report]
OpenStack Nova Kilo release requires 1.8.2 or higher, this is due to the addition of on_execute and on_completion to the execute(..) function. The latest Ubuntu OpenStack Kilo packages currently have code that depend on this new updated release. This results in a crash in some operations like resizes or migrations.

2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] Traceback (most recent call last):
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] File "/usr/lib/python2.7/dist-packages/nova/compute/manager.py", line 6459, in _error_out_instance_on_exception
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] yield
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] File "/usr/lib/python2.7/dist-packages/nova/compute/manager.py", line 4054, in resize_instance
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] timeout, retry_interval)
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] File "/usr/lib/python2.7/dist-packages/nova/virt/libvirt/driver.py", line 6353, in migrate_disk_and_power_off
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] shared_storage)
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] File "/usr/lib/python2.7/dist-packages/oslo_utils/excutils.py", line 85, in __exit__
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] six.reraise(self.type_, self.value, self.tb)
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] File "/usr/lib/python2.7/dist-packages/nova/virt/libvirt/driver.py", line 6342, in migrate_disk_and_power_off
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] on_completion=on_completion)
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] File "/usr/lib/python2.7/dist-packages/nova/virt/libvirt/utils.py", line 329, in copy_image
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] on_execute=on_execute, on_completion=on_completion)
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] File "/usr/lib/python2.7/dist-packages/nova/virt/libvirt/utils.py", line 55, in execute
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] return utils.execute(*args, **kwargs)
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] File "/usr/lib/python2.7/dist-packages/nova/utils.py", line 207, in execute
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] return processutils.execute(*cmd, **kwargs)
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] File "/usr/lib/python2.7/dist-packages/oslo_concurrency/processutils.py", line 174, in execute
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] raise UnknownArgumentError(_('Got unknown keyword args: %r') % kwargs)
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24] UnknownArgumentError: Got unknown keyword args: {'on_execute': <function <lambda> at 0x7f3a64527050>, 'on_completion': <function <lambda> at 0x7f39ff6ddf50>}
2015-11-19 16:26:24.103 7779 TRACE nova.compute.manager [instance: c04c1cf3-fbd9-40fd-be2e-e7dc06eb9f24]

https://github.com/openstack/requirements/commit/2fd00d00db5fce57d9589643801942d0332b1670

This commit above shows that OpenStack now requires 1.8.2 instead of 1.8.0. We would appreciate if the 1.8.2 upstream release can be brought in to resolve this bug.

Thank you.

CVE References

The upstream stable/kilo branch contains the updated requirement: https://git.openstack.org/cgit/openstack/nova/tree/requirements.txt?h=stable/kilo#n31
Is this maybe not yet available in the Ubuntu OpenStack Nova Kilo release?

Changed in nova:
status: New → Incomplete
James Page (james-page) on 2015-11-20
Changed in python-oslo.concurrency (Ubuntu):
status: New → Triaged
importance: Undecided → Critical
assignee: nobody → Corey Bryant (corey.bryant)
status: Triaged → Fix Released
Changed in python-oslo.concurrency (Ubuntu Vivid):
assignee: nobody → Corey Bryant (corey.bryant)
importance: Undecided → Critical
status: New → Triaged
James Page (james-page) on 2015-11-20
Changed in nova:
status: Incomplete → Invalid
Changed in python-oslo.concurrency (Ubuntu):
status: Fix Released → Invalid
importance: Critical → Undecided
assignee: Corey Bryant (corey.bryant) → nobody
Changed in python-oslo.concurrency (Ubuntu Vivid):
assignee: Corey Bryant (corey.bryant) → nobody
summary: - Nova kilo requires concurrency 1.8.2 or better
+ [SRU] Nova kilo requires concurrency 1.8.2 or better
James Page (james-page) wrote :

concurrency 1.8.2 uploaded to vivid-proposed for SRU team review; as soon as its accepted into proposed well get it into the UCA for kilo as well for testing.

description: updated
Changed in python-oslo.concurrency (Ubuntu Vivid):
status: Triaged → In Progress
assignee: nobody → James Page (james-page)
Changed in nova (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu Vivid):
status: New → Fix Committed
status: Fix Committed → In Progress
assignee: nobody → Corey Bryant (corey.bryant)
importance: Undecided → Critical

Hello Mohammed, or anyone else affected,

Accepted python-oslo.concurrency into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-oslo.concurrency/1.8.2-0ubuntu0.15.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python-oslo.concurrency (Ubuntu Vivid):
status: In Progress → Fix Committed
tags: added: verification-needed
Mohammed Naser (mnaser) wrote :

We're currently running our infrastructure on Trusty so ideally we wouldn't want to install the package above... is there a Trusty package to test somewhere?

Thanks!

Chris J Arges (arges) wrote :

Hello Mohammed, or anyone else affected,

Accepted nova into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nova/1:2015.1.2-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Vivid):
status: In Progress → Fix Committed
James Page (james-page) wrote :

@Mohammed

The backport to trusty-kilo will happen automatically as soon as the backport process detects that they new versions are available.

James Page (james-page) wrote :

nova and oslo.concurrency are currently building in kilo-proposed; you can enable this archive for testing using:

   sudo add-apt-repository cloud-archive:kilo-proposed

Olivier Le Cam (olc-l) wrote :

It works with me, thanks.

James Page (james-page) on 2015-11-30
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-oslo.concurrency - 1.8.2-0ubuntu0.15.04.1

---------------
python-oslo.concurrency (1.8.2-0ubuntu0.15.04.1) vivid; urgency=medium

  * New upstream point release, resolving incompatibilies in latest
    Nova stable kilo update with 1.8.0 (LP: #1518016).

 -- James Page <email address hidden> Fri, 20 Nov 2015 09:56:39 +0000

Changed in python-oslo.concurrency (Ubuntu Vivid):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for python-oslo.concurrency has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 1:2015.1.2-0ubuntu2

---------------
nova (1:2015.1.2-0ubuntu2) vivid; urgency=medium

  * d/control: Bump oslo.concurrency to >= 1.8.2 (LP: #1518016).

 -- Corey Bryant <email address hidden> Fri, 20 Nov 2015 07:56:47 -0500

Changed in nova (Ubuntu Vivid):
status: Fix Committed → Fix Released
James Page (james-page) wrote :

python-oslo.concurrency and nova promoted to -updates for Kilo UCA.

Hello Mohammed, or anyone else affected,

Accepted nova into kilo-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:kilo-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-kilo-needed to verification-kilo-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-kilo-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

The verification of the Stable Release Update for nova has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Ryan Beisner (1chb1n) wrote :
Download full text (26.5 KiB)

This bug was fixed in the package nova - 1:2015.1.4-0ubuntu2
---------------

 nova (1:2015.1.4-0ubuntu2) trusty-kilo; urgency=medium
 .
   * d/p/fix-iscsi-detach.patch (LP: #1374999)
     - Clear latest path for last remaining iscsi disk to ensure
       disk is properly removed.
 .
 nova (1:2015.1.4-0ubuntu1) trusty-kilo; urgency=medium
 .
   * New upstream stable release (LP: #1580334).
   * d/p/skip-proxy-test.patch: Skip test_ssl_server and test_two_servers as
     they are hitting ProxyError during package builds.
 .
 nova (1:2015.1.3-0ubuntu1) trusty-kilo; urgency=medium
 .
   * New upstream stable release (LP: #1559215).
 .
 nova (1:2015.1.2-0ubuntu2) vivid; urgency=medium
 .
   * d/control: Bump oslo.concurrency to >= 1.8.2 (LP: #1518016).
 .
 nova (1:2015.1.2-0ubuntu1) vivid; urgency=medium
 .
   * Resynchronize with stable/kilo (68e9359) (LP: #1506058):
     - [68e9359] Fix quota update in init_instance on nova-compute restart
     - [d864603] Raise InstanceNotFound when save FK constraint fails
     - [db45b1e] Give instance default hostname if hostname is empty
     - [61f119e] Relax restrictions on server name
     - [2e731eb] Remove unnecessary 'context' param from quotas reserve method
                 call
     - [5579928] Updated from global requirements
     - [08d1153] Don't expect meta attributes in object_compat that aren't in the
                 db obj
     - [5c6f01f] VMware: pass network info to config drive.
     - [17b5052] Allow to use autodetection of volume device path
     - [5642b17] Delete orphaned instance files from compute nodes
     - [8110cdc] Updated from global requirements
     - [1f5b385] Hyper-V: Fixes serial port issue on Windows Threshold
     - [24251df] Handle FC LUN IDs greater 255 correctly on s390x architectures
     - [dcde7e7] Update obj_reset_changes signatures to match
     - [e16fcfa] Unshelving volume backed instance fails
     - [8fccffd] Make pagination tolerate a deleted marker
     - [587092c] Fix live-migrations usage of the wrong connector information
     - [8794b93] Don't check flavor disk size when booting from volume
     - [c1ad497] Updated from global requirements
     - [0b37312] Hyper-V: Removes old instance dirs after live migration
     - [2d571b1] Hyper-V: Fixes live migration configdrive copy operation
     - [07506f5] Hyper-V: Fix SMBFS volume attach race condition
     - [60356bf] Hyper-V: Fix missing WMI namespace issue on Windows 2008 R2
     - [83fb8cc] Hyper-V: Fix virtual hard disk detach
     - [6c857c2] Updated from global requirements
     - [0313351] Compute: replace incorrect instance object with dict
     - [9724d50] Don't pass the service catalog when making glance requests
     - [b5020a0] libvirt: Kill rsync/scp processes before deleting instance
     - [3f337f8] Support host type specific block volume attachment
     - [cb2a8fb] Fix serializer supported version reporting in object_backport
     - [701c889] Execute _poll_shelved_instances only if shelved_offload_time is
                 > 0
     - [eb3b1c8] Fix rebuild of an instance with a volume attached
     - [e459add] Handle unexpected clear events call
     - [8280575] Support ssh-keygen of OpenS...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers